Bug 18170 - Show damaged status on check-in
Summary: Show damaged status on check-in
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-24 21:00 UTC by Lisette Scheer
Modified: 2021-04-17 14:44 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 18170: Show damaged status in table of checkins (2.21 KB, patch)
2020-09-24 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18170: Show damaged status in table of checkins (2.26 KB, patch)
2020-09-24 21:41 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18170: Show damaged status in table of checkins (2.33 KB, patch)
2020-10-01 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 18170: Use GetDescriptionByKohaField (1.32 KB, patch)
2020-10-01 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 18170: Show damaged status in table of checkins (2.33 KB, patch)
2020-10-14 20:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18170: Use GetDescriptionByKohaField (1.38 KB, patch)
2020-10-14 20:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lisette Scheer 2017-02-24 21:00:52 UTC
It would be nice if when checking in an item we could see if it has a damaged status without opening a new tab to see.
Comment 1 Fridolin Somers 2019-11-26 13:29:36 UTC
+1
Comment 2 Tomáš Wünsch 2020-09-24 18:38:35 UTC
+1 ;-)
Comment 3 Jennifer Marlatt 2020-09-24 19:57:36 UTC
This would be very helpful.
Comment 4 Katrin Fischer 2020-09-24 21:31:51 UTC
Created attachment 110703 [details] [review]
Bug 18170: Show damaged status in table of checkins

This copies the display of the damaged status from the holds and
checkouts pages in staff.

To test:
- Apply patch
- Check out some items, some damaged, others not
- Verify the damaged status is displayed below the due date
  in the table of checkouts
- Check the items in from the checkin page
- Verify the damaged status displays in the table of checkins
Comment 5 Katrin Fischer 2020-09-24 21:32:13 UTC
I had a go at this, please let me know if it works for you :)
Comment 6 ByWater Sandboxes 2020-09-24 21:41:44 UTC
Created attachment 110705 [details] [review]
Bug 18170: Show damaged status in table of checkins

This copies the display of the damaged status from the holds and
checkouts pages in staff.

To test:
- Apply patch
- Check out some items, some damaged, others not
- Verify the damaged status is displayed below the due date
  in the table of checkouts
- Check the items in from the checkin page
- Verify the damaged status displays in the table of checkins

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 7 Lisette Scheer 2020-09-24 21:42:39 UTC
Worked great for me! 
Damaged status showed in the due date box on the check in screen just like it does on the check out screen. 
Thanks!
Lisette
Comment 8 Fridolin Somers 2020-09-25 14:17:07 UTC
Like asked in Bug 21883 we need to pass item object to page.

Also from Bug 26323 we avoid using directly AV category.
Comment 9 Katrin Fischer 2020-09-25 14:30:27 UTC
I think no need to put this In Discussion here - I can fix the hardcoded Authorised value, but I think changing it all to work on an items object is a little too big for me. Can we agree to handle that separately?

I also still think we make our lives too hard by not relying on some hardcoded Authorised value codes - documentation and all are refering to them and it makes life tons easier. And: we do have hardocded ones outside of catalouging already. But I have said so on the other bug already. ;)
Comment 10 Fridolin Somers 2020-09-25 14:58:49 UTC
(In reply to Katrin Fischer from comment #9)
> I think no need to put this In Discussion here - I can fix the hardcoded
> Authorised value, but I think changing it all to work on an items object is
> a little too big for me. Can we agree to handle that separately?
Totally agree.
And my mistake, this patch impacts items in history table, Bug 21883 impacts item currently returned. So not exactly the same.

I hope we can push both bugs before refactoring with item object.

;)
Comment 11 Martin Renvoize 2020-09-28 08:50:30 UTC
Hmm, as much as I can see the argument for refactoring this to return an items resultset (or a checkouts resultset really) for code clarity I get the distinct feeling it could have a detrimental effect on performance too (i.e right now we fetch the details once, then pass what we need back and fourth in the template and controller.. such a refactor would mean passing back just a list of ID's and then refecthing the data from the database with each action.. unless I'm missing an way to not require that).

In short.. I think this one should move as is.
Comment 12 Martin Renvoize 2020-09-28 08:52:42 UTC
Sooo... on the QA front.. I have an alternate failure I'm afraid.

We need to use the KohaField version of the template plugin I think to ensure we get the right mapped AV set.
Comment 13 Martin Renvoize 2020-10-01 13:15:23 UTC
Created attachment 111041 [details] [review]
Bug 18170: Show damaged status in table of checkins

This copies the display of the damaged status from the holds and
checkouts pages in staff.

To test:
- Apply patch
- Check out some items, some damaged, others not
- Verify the damaged status is displayed below the due date
  in the table of checkouts
- Check the items in from the checkin page
- Verify the damaged status displays in the table of checkins

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2020-10-01 13:15:34 UTC
Created attachment 111042 [details] [review]
Bug 18170: Use GetDescriptionByKohaField
Comment 15 Katrin Fischer 2020-10-01 17:49:41 UTC
Thank you, Martin, I didn't get around to it yet.
Comment 16 Katrin Fischer 2020-10-14 20:03:05 UTC
Created attachment 111639 [details] [review]
Bug 18170: Show damaged status in table of checkins

This copies the display of the damaged status from the holds and
checkouts pages in staff.

To test:
- Apply patch
- Check out some items, some damaged, others not
- Verify the damaged status is displayed below the due date
  in the table of checkouts
- Check the items in from the checkin page
- Verify the damaged status displays in the table of checkins

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Katrin Fischer 2020-10-14 20:03:10 UTC
Created attachment 111640 [details] [review]
Bug 18170: Use GetDescriptionByKohaField

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Katrin Fischer 2020-10-14 20:04:48 UTC
Signing Martin's follow-up - the original patch has an external sign-off.
Comment 19 Jonathan Druart 2020-10-15 10:55:08 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 20 Lucas Gass 2020-11-13 15:45:44 UTC
enhancement will not be backported to 20.05.x